Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 140849 - "fdisk -l" broken when over 26 EMC Powerpath disks
Summary: "fdisk -l" broken when over 26 EMC Powerpath disks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2004-11-25 15:20 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 14:34:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
df | grep emcpower (deleted)
2005-01-05 15:36 UTC, Brian Long
no flags Details
cat /proc/partitions (deleted)
2005-01-05 15:36 UTC, Brian Long
no flags Details
fdisk -l (deleted)
2005-01-05 15:38 UTC, Brian Long
no flags Details
/usr/symcli/bin/sympd list (EMC Powerpath physical disk inventory) (deleted)
2005-01-05 15:39 UTC, Brian Long
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Bastien Nocera 2004-11-25 15:20:43 UTC
On a machine with more than 26 EMC Powerpath disks:
# cat /proc/partitions | grep emcpowera
234     0    2097152 emcpowera 20539 21244 334756 156980 212504
2040659 17741268 5676721 0 191080 5702061
234     1    2096451 emcpowera1 20477 20932 333804 156920 212503
2040659 17741266 5676701 0 191010 5702031
233     0   15728640 emcpowera 54 21 936 40 0 0 0 0 0 40 40
232     0     102400 emcpowera 150403 113 151402 49310 4 0 4 10 0
49310 49310

Only one of those "emcpowera" is really the "emcpowera" device, the
others could be "emcpoweraa" and "emcpowerab".
"fdisk -l" will read the /proc/partitions and get the device name from
there, and as can be seen above, it gets truncated.

So either fdisk needs to have a way to find which device corresponds
to a major/minor (this information is given by /proc/partitions), or
have the kernel not truncate those names.

Comment 1 Elliot Lee 2004-12-01 22:44:15 UTC
The kernel needs to report correct info.

Comment 2 Tom Coughlan 2004-12-15 13:30:33 UTC
Heather, are you aware of this problem with long PowerPath device names? Do you
have a workaround, or a fix?

Comment 3 Tom Coughlan 2004-12-17 16:46:25 UTC

*** This bug has been marked as a duplicate of 79086 ***

Comment 4 Ernie Petrides 2004-12-17 22:34:12 UTC
Reopening this bug because it's against RHEL3 (whereas 79086 is against RHEL2.1).

Comment 5 Brian Long 2005-01-05 15:34:37 UTC
This is not fixed in the RHEL3 U4 kernel.  Are there any planned fixes
for this?  I will attach fdisk -l output, /proc/partitions and output
from the EMC command "sympd list" which lists all physical disks. 
Output from "df" shows the devices we are actually mounting which do
not match with fdisk -l output.

Comment 6 Brian Long 2005-01-05 15:36:03 UTC
Created attachment 109375 [details]
df | grep emcpower

Comment 7 Brian Long 2005-01-05 15:36:47 UTC
Created attachment 109376 [details]
cat /proc/partitions

Comment 8 Brian Long 2005-01-05 15:38:20 UTC
Created attachment 109377 [details]
fdisk -l

Comment 9 Brian Long 2005-01-05 15:39:24 UTC
Created attachment 109378 [details]
/usr/symcli/bin/sympd list (EMC Powerpath physical disk inventory)

Comment 10 Ernie Petrides 2005-07-29 02:20:02 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-34.EL).

Propagating acks from bug 79086, which is now against RHEL3.

*** This bug has been marked as a duplicate of 79086 ***

Comment 12 Red Hat Bugzilla 2005-09-28 14:34:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.